#ifndef API_URLS_HPP
#define API_URLS_HPP

const std::wstring API_Server_Address = L"https://api.eveonline.com";
const std::wstring ServerStatus = L"/server/ServerStatus.xml.aspx";
const std::wstring AccountStatus = L"/account/AccountStatus.xml.aspx";

//Character Data
const std::wstring Charakters = L"/account/Characters.xml.aspx";
const std::wstring AccountBalance = L"/char/AccountBalance.xml.aspx";
const std::wstring Asset = L"List/char/ AssetList.xml.aspx";
const std::wstring IndustryJobs = L"/char/IndustryJobs.xml.aspx";
const std::wstring Research = L"/char/Research.xml.aspx";

//Corp Data
const std::wstring CorpAssetList = L"/corp/AssetList.xml.aspx";
const std::wstring CorpIndustryJobs = L"/corp/IndustryJobs.xml.aspx";








const std::wstring KeyID = L"4415";
const std::wstring VeriCode = L"ERpV6osx97vWQ9vsmZp0GvAUYt8q189j3RDRB5s3RUb2NCDbI3twfQfeGHDyik7w";

enum API_Number{
	SERVERSTATUS,
	ACCOUNTSTATUS,
	CHARAKTERS, 
	ACCOUNTBALANCE,
	ASSET,
	INDUSTRYJOBS,
	RESEARCH,
	CORPASSETLIST,
	CORPINDUSTRYJOBS
};
struct API_Type{
	int API_Number;
	std::wstring API_URL;
};
#endif